#include <iostream>

using namespace std;

int n;  // 全局变量

// 定义函数
void test1()
{
    n = 100;
}

int main()
{
    test1(); // 调用 test1 函数
    cout << "global n = " << n << endl;
    {
        int m;
        cout << "local m = " << m << endl;
    }
    // 跳出局部区域 m 变量则不能访问
    // cout << "m = " << m << endl;
    return 0;
}
